<?php
// $Id: theme-settings.php,v 1.1.2.1 2010/07/09 16:33:24 mtecknology Exp $

/**
 * @file
 * Additional theme settings the user can alter
 */

function phptemplate_settings($saved_settings) {

  // Set default variables
  $defaults = array(
    'wrapper_width' => 980,
    'width_type' => '0',
    'display_help' => '1',
    'ubuntu_footer' => '1',
  );

  // Merge the saved variables and their default values
  $settings = array_merge($defaults, $saved_settings);

  // Create the form widgets using Forms API
  $form['page'] = array(
    '#type' => 'fieldset',
    '#title' => t('Page Options'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#tree' => FALSE,
  );
  $form['page']['wrapper_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Page Width (default=980px)'),
    '#default_value' => $settings['wrapper_width'],
  );
  $form['page']['width_type'] = array(
    '#type' => 'radios',
    '#title' => t('Width Type'),
    '#options' => array(
      '0' => t('px'),
      '1' => t('%'),
    ),
  );
  $form['page']['display_help'] = array(
    '#type' => 'radios',
    '#title' => t('Display Help'),
    '#options' => array(
      '1' => t('Yes'),
      '0' => t('No'),
    ),
    '#description' => t('Display help above the content or not.'),
    '#default_value' => $settings['display_help'],
  );
  $form['page']['ubuntu_footer'] = array(
    '#type' => 'radios',
    '#title' => t('Ubuntu Community Footer'),
    '#options' => array(
      '1' => t('Display'),
      '0' => t('Hide'),
    ),
    '#description' => t('Display the Ubuntu Community Footer, which includes blocks for the legal disclaimer and other Ubuntu community websites.'),
    '#default_value' => $settings['display_help'],
  );

  // Return the additional form widgets
  return $form;
}
